curl -X PUT "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/webhooks/webhook-uuid-1" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{
"events": ["campaign.completed", "campaign_call.failed"],
"include_call_events": true
}'
{
"success": true,
"data": {
"id": "webhook-uuid-1",
"events": ["campaign.completed", "campaign_call.failed"],
"include_call_events": true,
"updated_at": "2024-01-15T15:30:00Z"
}
}
Webhooks de Campanha
Atualizar Webhook da Campanha
Atualizar parcialmente um webhook de campanha
PUT
/
api
/
v1
/
campaigns
/
{campaign_id}
/
webhooks
/
{webhook_id}
curl -X PUT "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/webhooks/webhook-uuid-1" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{
"events": ["campaign.completed", "campaign_call.failed"],
"include_call_events": true
}'
{
"success": true,
"data": {
"id": "webhook-uuid-1",
"events": ["campaign.completed", "campaign_call.failed"],
"include_call_events": true,
"updated_at": "2024-01-15T15:30:00Z"
}
}
Atualizar Webhook da Campanha
Atualiza parcialmente um webhook de campanha. Todos os campos são opcionais — apenas os campos enviados serão atualizados. A semântica dos campos corresponde a Criar Webhook da Campanha.Endpoint
PUT /api/v1/campaigns/{campaign_id}/webhooks/{webhook_id}
Parâmetros de caminho
string
obrigatório
UUID da campanha.
string
obrigatório
UUID do webhook.
Cabeçalhos da requisição
string
obrigatório
Token Bearer. Formato:
Bearer talq_your_environment_token_herestring
obrigatório
Deve ser definido como
application/jsonExemplos
curl -X PUT "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/webhooks/webhook-uuid-1" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{
"events": ["campaign.completed", "campaign_call.failed"],
"include_call_events": true
}'
Resposta
{
"success": true,
"data": {
"id": "webhook-uuid-1",
"events": ["campaign.completed", "campaign_call.failed"],
"include_call_events": true,
"updated_at": "2024-01-15T15:30:00Z"
}
}
Esta página foi útil?